跳到主要内容

POST 供应商预付款按供应商聚合(采购类型流水未分配到订单的金额)

POST 查询。body 为筛选条件 JSON(分页类含 pageNum、pageSize)。

接口编码所需范围后端接口
finance.fund-flow.supplier-prepay.pagefinance:readPOST /v1/fund-flow/supplier-prepay/page(comap-finance)

请求体字段(body)

字段类型必填说明
supplierIdinteger(int64)——
counterpartNamestring——
supplierUnmatchedboolean——
customerIdinteger(int64)——
supplierRequiredboolean——
customerRequiredboolean——
customerIdsinteger(int64)[]——
supplierIdsinteger(int64)[]——
keywordstring——
nameKeywordstring——
preferredNamestring——
partyScopeOnlyboolean——
partyScopeIdinteger(int64)——
startDatestring(date)——
endDatestring(date)——
amountnumber——
allocStatusstring——
directioninteger(int32)——
txnTypestring——
bankAccountIdinteger(int64)——
auditPendingboolean——
currentinteger(int32)——
sizeinteger(int32)——

「必填」仅反映接口规格声明的部分。服务内还有未体现在规格里的校验, 标「—」不等于可以不传;租户在主站配置的字段必填不约束本接口。 详见必填字段的判定与字段清单与自定义字段。

请求示例

curl -X POST https://open.risemap.cn/v1/api/invoke \
-H "Authorization: Bearer <访问令牌>" \
-H "Content-Type: application/json" \
-d '{
"apiCode": "finance.fund-flow.supplier-prepay.page",
"body": {
"current": 1,
"size": 10
}
}'

响应 data 字段(分页结构:records[] + total)

字段类型必填说明
sizeinteger(int64)——
records5SupplierPrepayFlowBO[]——
totalinteger(int64)——
currentinteger(int64)——
pagesinteger(int64)——

错误处理​

响应统一信封 { code, message, data },code == 200 为成功。以下是本接口可能返回的开放平台层错误:

错误码说明可重试
92101访问凭证无效否
92201接口未登记或已停用否
92202超出凭证授权范围——本接口需 finance:read否
92204绑定员工无此接口的功能权限否
92203上游服务调用失败是
92301请求过于频繁是

除此之外,comap-finance 自身的业务校验失败会原样透传其业务码与提示 (如字段校验、状态不允许、数据不存在),这类码不在开放平台的号段内, 以响应里的 message 为准。完整的平台层错误码见错误码说明。

← 返回资金流水